Winnetwk (JNA API)

com.sun.jna.platform.win32

## Class Winnetwk

- java.lang.Object
- - com.sun.jna.platform.win32.Winnetwk

-     public abstract class Winnetwk
      extends java.lang.Object

  Ported from AccCtrl.h. Microsoft Windows SDK 7.1
  Author:
    amarcionek[at]gmail.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Winnetwk.ConnectFlag` A set of bit flags describing how the resource can be used.
    `static class` | `Winnetwk.NETRESOURCE` The NETRESOURCE structure contains information about a network resource.
    `static class` | `Winnetwk.REMOTE_NAME_INFO` The REMOTE_NAME_INFO structure contains path and name information for a network resource.
    `class` | `Winnetwk.RESOURCEDISPLAYTYPE` The type of resource.
    `class` | `Winnetwk.RESOURCESCOPE` The scope of the enumeration.
    `class` | `Winnetwk.RESOURCETYPE` The type of resource.
    `class` | `Winnetwk.RESOURCEUSAGE` A set of bit flags describing how the resource can be used.
    `static class` | `Winnetwk.UNIVERSAL_NAME_INFO` The UNIVERSAL_NAME_INFO structure contains a pointer to a Universal Naming Convention (UNC) name string for a network resource.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `REMOTE_NAME_INFO_LEVEL`
    `static int` | `UNIVERSAL_NAME_INFO_LEVEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Winnetwk()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNIVERSAL_NAME_INFO_LEVEL

          public static int UNIVERSAL_NAME_INFO_LEVEL

    - #### REMOTE_NAME_INFO_LEVEL

          public static int REMOTE_NAME_INFO_LEVEL

  - ### Constructor Detail

    - #### Winnetwk

          public Winnetwk()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.